# PlayPlatform

API Documentation: | `PlayPlatform`

Note: This class is incubating and may change in a future version of Gradle.

Defines and configures a Play Framework environment including versions of Play, Scala and Java.

### Properties

Property | Description
`javaPlatform` | Incubating Version of Java Runtime to use.
`playVersion` | Incubating Version of Play Framework to use
`scalaPlatform` | Incubating Version of Scala Runtime to use.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### `JavaPlatform` `javaPlatform` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

Version of Java Runtime to use.

#### `String` `playVersion` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

Version of Play Framework to use

#### `ScalaPlatform` `scalaPlatform` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

Version of Scala Runtime to use.